CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes
csl::ThreadPthread Class Reference

PThread version of Thread. More...

`#include <ThreadUtilities.h>`

Inheritance diagram for csl::ThreadPthread:

List of all members.

## Public Member Functions
| ThreadPthread ()
| ~ThreadPthread ()
int | createThread (VoidFcnPtr *func, void *args)

## Static Public Member Functions
static CThread * | MakeThread ()
| factory method

## Public Attributes
pthread_t | mThread
pthread_attr_t | mAttributes

## Detailed Description

PThread version of Thread.

Definition at line 84 of file ThreadUtilities.h.

## Constructor & Destructor Documentation

ThreadPthread::ThreadPthread | ( |  | ) |

Definition at line 88 of file ThreadUtilities.cpp.

References mAttributes.

ThreadPthread::~ThreadPthread | ( |  | ) |

Definition at line 92 of file ThreadUtilities.cpp.

References mAttributes, and mThread.

## Member Function Documentation

int ThreadPthread::createThread | ( | VoidFcnPtr * | func,
|  | void * | args
| ) |  |
| virtual

Implements csl::CThread.

Definition at line 100 of file ThreadUtilities.cpp.

References mAttributes, and mThread.

Referenced by PME::start_management_thread().

CThread * CThread::MakeThread | ( |  | ) |
| static inherited

factory method

Definition at line 40 of file ThreadUtilities.cpp.

Referenced by csl::GrainCloud::GrainCloud(), csl::NullIO::NullIO(), csl::FileIO::open(), and csl::StdIO::StdIO().

## Member Data Documentation

pthread_t csl::ThreadPthread::mThread

Reimplemented in csl::NullIO.

Definition at line 89 of file ThreadUtilities.h.

Referenced by createThread(), and ~ThreadPthread().

pthread_attr_t csl::ThreadPthread::mAttributes

Definition at line 90 of file ThreadUtilities.h.

Referenced by createThread(), ThreadPthread(), and ~ThreadPthread().

The documentation for this class was generated from the following files:

- CSL/Utilities/ThreadUtilities.h
- CSL/Utilities/ThreadUtilities.cpp